Package javax.media.j3d

# Class PickCone

java.lang.Object
javax.media.j3d.PickShape
javax.media.j3d.PickCone

Direct Known Subclasses:
  `PickConeRay`, `PickConeSegment`

public abstract class PickCone extends PickShape
PickCone is the abstract base class of all cone pick shapes.

Since:
  Java 3D 1.2

## Constructor Summary

Constructors
Constructor
Description
`PickCone()`
Constructs an empty PickCone.

## Method Summary

Modifier and Type
Method
Description
`void`
`getDirection(javax.vecmath.Vector3d direction)`
Gets the direction of this PickCone.
`void`
`getOrigin(javax.vecmath.Point3d origin)`
Gets the origin of this PickCone.
`double`
`getSpreadAngle()`
Gets the spread angle of this PickCone.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PickCone

public PickCone()
Constructs an empty PickCone. The origin and direction of the cone are initialized to (0,0,0). The spread angle is initialized to `PI/64`.

## Method Details

### getOrigin

public void getOrigin(javax.vecmath.Point3d origin)
Gets the origin of this PickCone.

Parameters:
  `origin` - the Point3d object into which the origin will be copied.

### getDirection

public void getDirection(javax.vecmath.Vector3d direction)
Gets the direction of this PickCone.

Parameters:
  `direction` - the Vector3d object into which the direction will be copied.

### getSpreadAngle

public double getSpreadAngle()
Gets the spread angle of this PickCone.

Returns:
  the spread angle.